using System.Collections.Generic;
using System.Security.Cryptography.X509Certificates;
using FitConnect;
using FitConnect.Models;
using FitConnect.Security;
using Moq;
using NUnit.Framework;

namespace FluentApiTest;

[Ignore("Not yet implemented")]
public class FluentSenderTests {
    private Client _client = null!;
    private string clientId = "development";
    private string clientSecret = "development";

    [SetUp]
    public void Setup() {
        var certificate = RsaEncryption.CreateSelfSignedCertificate();

        _client = new Client(
            FitConnectEndpoints.Create(FitConnectEndpoints.EndpointType.Development),
            "", "", certificate, certificate);
    }

    [Test]
    public void Test1() {
        _client.Sender
            .Authenticate(clientId, clientSecret)
            .CreateSubmission(new Submission { Attachments = new List<Attachment>() })
            .UploadAttachments()
            .SendSubmission(new Metadata(), new Data());
    }
}
